import javax.swing.table.*;
import static java.lang.Math.*;
import java.io.*;
import javax.tools.*;
import javax.swing.*;

public class realtime1
{          
     public static void compileandrun(String fileName)
     {
	  try{
      JavaCompiler javac = ToolProvider.getSystemJavaCompiler();
      int rc = javac.run(null,null,null,fileName);}
      catch(NullPointerException e1) {System.err.println("NULL POINTER");} 
     }    
     
     
     public static void main(String arg[])
     {
	 String fileName=JOptionPane.showInputDialog("Enter file name (welcome.java): ");
	 compileandrun(fileName);
	 welcome x=new welcome();	 
	 } 

}
